condenser_api.get_blog_entries
Purpose
Returns a list of blog entries for an account. Parameters: account:string; start_entry_id:int; limit:int up to 500
account (string) | start_entry_id (int) | limit (int) | |
|---|---|---|---|
| "steemit" | 0 | 1 | Queries the blog entries for the account named "steemit", up to one result. |
| "alice" | 0 | 50 | Queries the blog entries for the account named "alice", up to 50 results. |
Also see: follow_api.get_blog_entries, Paginated API Methods
Parameters
PARAMETERS
json
[
"steemit",
0,
1
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_blog_entries",
"params": [
"steemit",
0,
1
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_blog_entries",
"params": [
"alice",
0,
50
],
"id": 1
}'Response
RESPONSE
json
[
{
"author": "steemit",
"permlink": "firstpost",
"blog": "steemit",
"reblog_on": "1970-01-01T00:00:00",
"entry_id": 0
}
]